Bug 1123792 - it is not possible to create new app launcher in gnome and gnome-classic 3.8 on the desktop [NEEDINFO]
Summary: it is not possible to create new app launcher in gnome and gnome-classic 3.8 ...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nautilus
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 09:20 UTC by Gerrit Slomma
Modified: 2019-07-01 17:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
vbenes: needinfo? (alexl)


Attachments (Terms of Use)

Description Gerrit Slomma 2014-07-28 09:20:37 UTC
Description of problem:

It is not possible to create a new app launcher in gnome or gnome-classic 3.8 on the desktop


Version-Release number of selected component (if applicable):

gnome-shell.x86_64 3.8.4-31.el7
gnome-shell-extensions-* 3.8.4-9.el7

How reproducible:

right click on the desktop, there is now menu-entry for creating a new app launcher ("Starter anlegen ..." in gnome-desktop 2.28.2-11.el6)

Steps to Reproduce:
1. right cliok on a free spot on the desktop
2. search for "create launcher"-entry
3. fail to find any

Actual results:

No menu-entry for creating new launcher present.

Expected results:

Menu-entry for creating new launcher present.

Additional info:

You could create a new launcher as a .desktop-file in your "~/Dekstop/"-folder, which is localized-named, e.g. "Schreibtisch".
Needs to be formated correctly and checked, e.g. as follows.

[Desktop Entry]
Type=Application
Name=Firefox
Exec=firefox
Icon=firefox
Terminal=false

# desktop-file-validate ~/Desktop/Firefox.desktop

After first clicking one is asked whether this is a trusted launcher.
This adds an interpreter with shebang to the newly created launcher.

This seems to be a hell of a pain for a seemless desktop integration and was working in previous generation of RHEL/gnome and needs to be fixed.

Comment 2 Florian Müllner 2014-07-29 22:36:24 UTC
When desktop icons are not enabled, offering an action to create a (hidden) launcher does not seem useful. If desktop icons are enabled, they are provided by nautilus, not gnome-shell - reassigning.

Comment 3 Gerrit Slomma 2015-01-19 08:44:09 UTC
Any progress on this one?

Comment 5 Vladimir Benes 2015-05-14 10:22:43 UTC
Is there any easy way how to add launchers to desktop? If not can we add a menu entry (Add to Desktop) to menu in overview in addition to Add to Favourites

Comment 6 Florian Müllner 2015-05-14 11:09:51 UTC
(In reply to Vladimir Benes from comment #5)
> Is there any easy way how to add launchers to desktop?

It depends - launchers are just file, so they can be copied/linked to the desktop as any other files. However I'm not sure whether that should qualify as "easy", and obviously only works for existing launchers (while the report asks for launcher creation).


> If not can we add a menu entry (Add to Desktop) to menu in overview in addition
> to Add to Favourites

It is a bit more complex than you describe it here (check whether desktop icons are enabled, then check whether the launcher already exists to offer add/remove items), but possible. However it would again not be what the report is asking for, as this can only work for existing launchers.

Comment 7 Carlos Soriano 2015-05-20 12:15:20 UTC
We can add a menu item on the desktop context menu and show a dialog to create a desktop file.

This does not goes against upstream, so we can add it upstream directly.


Note You need to log in before you can comment on or make changes to this bug.